org.apache.poi.xslf.usermodel

## Class XSLFShadow

- java.lang.Object
- - org.apache.poi.xslf.usermodel.XSLFShape
  - - org.apache.poi.xslf.usermodel.XSLFShadow

- All Implemented Interfaces:
    Shadow<XSLFShape,XSLFTextParagraph>, Shape<XSLFShape,XSLFTextParagraph>

      public class XSLFShadow
      extends XSLFShape
      implements Shadow<XSLFShape,XSLFTextParagraph>

  Represents a shadow of a shape. For now supports only outer shadows.
  Author:
    Yegor Kozlov

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.xslf.usermodel.XSLFShape

      `XSLFShape.ReparseFactory<T extends org.apache.xmlbeans.XmlObject>`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.geom.Rectangle2D` | `getAnchor()` Returns the anchor (the bounding box rectangle) of this shape.
    `double` | `getAngle()`
    `double` | `getBlur()`
    `double` | `getDistance()`
    `java.awt.Color` | `getFillColor()`
    `PaintStyle.SolidPaint` | `getFillStyle()`
    `XSLFSimpleShape` | `getShadowParent()`
    `void` | `setAnchor(java.awt.geom.Rectangle2D anchor)`

    - ### Methods inherited from class org.apache.poi.xslf.usermodel.XSLFShape

      `draw, fetchShapeProperty, getBgPr, getBgRef, getChild, getCNvPr, getFillPaint, getGrpSpPr, getParent, getPlaceholder, getPlaceholderDetails, getShapeId, getShapeName, getShapeProperties, getSheet, getSpStyle, getXmlObject, isPlaceholder, selectPaint, selectPaint, selectPaint, selectPaint, selectPaint, selectProperty, selectProperty, setParent, setPlaceholder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getShadowParent

          public XSLFSimpleShape getShadowParent()

      Specified by:
        `getShadowParent` in interface `Shadow<XSLFShape,XSLFTextParagraph>`

    - #### getAnchor

          public java.awt.geom.Rectangle2D getAnchor()

      Description copied from interface: `Shape`
      Returns the anchor (the bounding box rectangle) of this shape. All coordinates are expressed in points (72 dpi).
      Specified by:
        `getAnchor` in interface `Shape<XSLFShape,XSLFTextParagraph>`
      Returns:
        the anchor of this shape

    - #### setAnchor

          public void setAnchor(java.awt.geom.Rectangle2D anchor)

    - #### getDistance

          public double getDistance()

      Specified by:
        `getDistance` in interface `Shadow<XSLFShape,XSLFTextParagraph>`
      Returns:
        the offset of this shadow in points

    - #### getAngle

          public double getAngle()

      Specified by:
        `getAngle` in interface `Shadow<XSLFShape,XSLFTextParagraph>`
      Returns:
        the direction to offset the shadow in angles

    - #### getBlur

          public double getBlur()

      Specified by:
        `getBlur` in interface `Shadow<XSLFShape,XSLFTextParagraph>`
      Returns:
        the blur radius of the shadow TODO: figure out how to make sense of this property when rendering shadows

    - #### getFillColor

          public java.awt.Color getFillColor()

      Returns:
        the color of this shadow. Depending whether the parent shape is filled or stroked, this color is used to fill or stroke this shadow

    - #### getFillStyle

          public PaintStyle.SolidPaint getFillStyle()

      Specified by:
        `getFillStyle` in interface `Shadow<XSLFShape,XSLFTextParagraph>`
      Returns:
        the color of this shadow. Depending whether the parent shape is filled or stroked, this color is used to fill or stroke this shadow

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.